Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.importexport.model
Class ListJobsResult

    java.lang.Object
      com.amazonaws.services.importexport.model.ListJobsResult

    public class ListJobsResult

extends Object

Output structure for the ListJobs operation.

Constructor Summary
`ListJobsResult()`

Method Summary
`Boolean` | `getIsTruncated()` Indicates whether the list of jobs was truncated.
`List<Job>` | `getJobs()` A list container for Jobs returned by the ListJobs operation.
`Boolean` | `isIsTruncated()` Indicates whether the list of jobs was truncated.
`void` | `setIsTruncated(Boolean isTruncated)` Indicates whether the list of jobs was truncated.
`void` | `setJobs(Collection<Job> jobs)` A list container for Jobs returned by the ListJobs operation.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListJobsResult` | `withIsTruncated(Boolean isTruncated)` Indicates whether the list of jobs was truncated.
`ListJobsResult` | `withJobs(Collection<Job> jobs)` A list container for Jobs returned by the ListJobs operation.
`ListJobsResult` | `withJobs(Job... jobs)` A list container for Jobs returned by the ListJobs operation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListJobsResult

    public ListJobsResult()

Method Detail

### getJobs

    public List<Job> getJobs()

  A list container for Jobs returned by the ListJobs operation.

  Returns:
    A list container for Jobs returned by the ListJobs operation.

### setJobs

    public void setJobs(Collection<Job> jobs)

  A list container for Jobs returned by the ListJobs operation.

  Parameters:
    `jobs` - A list container for Jobs returned by the ListJobs operation.

### withJobs

    public ListJobsResult withJobs(Job... jobs)

  A list container for Jobs returned by the ListJobs operation.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `jobs` - A list container for Jobs returned by the ListJobs operation.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withJobs

    public ListJobsResult withJobs(Collection<Job> jobs)

  A list container for Jobs returned by the ListJobs operation.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `jobs` - A list container for Jobs returned by the ListJobs operation.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isIsTruncated

    public Boolean isIsTruncated()

  Indicates whether the list of jobs was truncated. If true, then call ListJobs again using the last JobId element as the marker.

  Returns:
    Indicates whether the list of jobs was truncated. If true, then call ListJobs again using the last JobId element as the marker.

### setIsTruncated

    public void setIsTruncated(Boolean isTruncated)

  Indicates whether the list of jobs was truncated. If true, then call ListJobs again using the last JobId element as the marker.

  Parameters:
    `isTruncated` - Indicates whether the list of jobs was truncated. If true, then call ListJobs again using the last JobId element as the marker.

### withIsTruncated

    public ListJobsResult withIsTruncated(Boolean isTruncated)

  Indicates whether the list of jobs was truncated. If true, then call ListJobs again using the last JobId element as the marker.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `isTruncated` - Indicates whether the list of jobs was truncated. If true, then call ListJobs again using the last JobId element as the marker.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getIsTruncated

    public Boolean getIsTruncated()

  Indicates whether the list of jobs was truncated. If true, then call ListJobs again using the last JobId element as the marker.

  Returns:
    Indicates whether the list of jobs was truncated. If true, then call ListJobs again using the last JobId element as the marker.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.